## javax.servlet.http
Interface HttpSessionContext

All Known Implementing Classes:
  AbstractSessionManager.NullSessionContext

Deprecated. As of Java(tm) Servlet API 2.1 for security reasons, with no replacement. This interface will be removed in a future version of this API.

    public interface HttpSessionContext

Author:
  Various
See Also:
  `HttpSession`, `HttpSessionBindingEvent`, `HttpSessionBindingListener`

Method Summary
`Enumeration` `getIds()` Deprecated. As of Java Servlet API 2.1 with no replacement. This method must return an empty `Enumeration` and will be removed in a future version of this API.
`HttpSession` `getSession(String sessionId)` Deprecated. As of Java Servlet API 2.1 with no replacement. This method must return null and will be removed in a future version of this API.

Method Detail

### getSession

    HttpSession getSession(String sessionId)

  Deprecated. As of Java Servlet API 2.1 with no replacement. This method must return null and will be removed in a future version of this API.

### getIds

    Enumeration getIds()

  Deprecated. As of Java Servlet API 2.1 with no replacement. This method must return an empty `Enumeration` and will be removed in a future version of this API.

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.